Freeciv-3.3: Data Fields

Freeciv-3.3

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - _ -

- __call__() : generate_packets.TypeRegistry
- __dummy : packet_begin_turn, packet_client_heartbeat, packet_conn_ping, packet_conn_pong, packet_edit_check_tiles, packet_edit_recalculate_borders, packet_end_phase, packet_end_turn, packet_freeze_client, packet_player_attribute_block, packet_processing_finished, packet_processing_started, packet_rulesets_ready, packet_server_shutdown, packet_spaceship_launch, packet_thaw_client
- __eq__() : generate_packets.SizeInfo
- __hash__() : generate_packets.SizeInfo
- __init__() : generate_packets.ArrayType, generate_packets.BasicType, generate_packets.BitvectorType, generate_packets.BoolType, generate_packets.CmParameterType, generate_packets.Field, generate_packets.FieldFlags, generate_packets.FloatType, generate_packets.IntType, generate_packets.Location, generate_packets.MemoryType, generate_packets.NeedSizeType, generate_packets.Packet, generate_packets.PacketsDefinition, generate_packets.ScriptConfig, generate_packets.SizedType, generate_packets.SizeInfo, generate_packets.StringType, generate_packets.StructType, generate_packets.StrvecType, generate_packets.TypeRegistry, generate_packets.Variant, generate_packets.WorklistType
- __iter__() : generate_packets.PacketsDefinition
- __repr__() : generate_packets.Location, generate_packets.RawFieldType
- __str__() : generate_packets.ArrayType, generate_packets.BasicType, generate_packets.FloatType, generate_packets.Location, generate_packets.NeedSizeType, generate_packets.RawFieldType, generate_packets.SizedType, generate_packets.SizeInfo, generate_packets.StrvecType
- _actual : generate_packets.SizeInfo
- _by_public() : generate_packets.TypeRegistry
- _clean_lines() : generate_packets.PacketsDefinition
- _compat_keys() : generate_packets.FieldType
- _get_code_get_diff() : generate_packets.ArrayType
- _get_code_get_full() : generate_packets.ArrayType, generate_packets.StrvecType
- _get_code_put_diff() : generate_packets.ArrayType
- _get_code_put_full() : generate_packets.ArrayType, generate_packets.StrvecType
- _INDICES : generate_packets.Location
- _relative_path() : generate_packets.ScriptConfig
- _root_path() : generate_packets.ScriptConfig
- _script_path() : generate_packets.ScriptConfig
- _wrap_cplusplus() : generate_packets.ScriptConfig
- _wrap_header() : generate_packets.ScriptConfig
- _write_disclaimer() : generate_packets.ScriptConfig